var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/utils/index.ts
var utils_exports = {};
__export(utils_exports, {
  getChromeVersion: () => getChromeVersion,
  getFileSuffix: () => getFileSuffix,
  getImageSuffixByFileType: () => getImageSuffixByFileType,
  matchS3Prefix: () => matchS3Prefix,
  nextTick: () => nextTick
});
module.exports = __toCommonJS(utils_exports);
var matchS3Prefix = (str) => {
  return /^v[0-9]_/.test(str);
};
var getFileSuffix = (fileName) => {
  const splitArr = fileName.split(".");
  return splitArr.length < 2 ? "" : splitArr[splitArr.length - 1];
};
var getImageSuffixByFileType = (type) => {
  let imageSuffix = "";
  switch (type) {
    case "jpeg": {
      imageSuffix = ".jpg";
      break;
    }
    case "gif": {
      imageSuffix = ".gif";
      break;
    }
    case "png": {
      imageSuffix = ".png";
      break;
    }
    case "vnd.wap.wbmp": {
      imageSuffix = ".wbmp";
      break;
    }
    case "x-up-wpng": {
      imageSuffix = ".wpng";
      break;
    }
    case "nbmp": {
      imageSuffix = ".nbmp";
      break;
    }
  }
  return imageSuffix;
};
function getChromeVersion() {
  const arr = navigator.userAgent.split(" ");
  let chromeVersion = "";
  for (let i = 0; i < arr.length; i++) {
    if (/chrome/i.test(arr[i]))
      chromeVersion = arr[i];
  }
  if (chromeVersion) {
    return Number(chromeVersion.split("/")[1].split(".")[0]);
  } else {
    return false;
  }
}
var nextTick = (func) => {
  if (queueMicrotask) {
    queueMicrotask(func);
    return;
  }
  Promise.resolve().then(func);
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getChromeVersion,
  getFileSuffix,
  getImageSuffixByFileType,
  matchS3Prefix,
  nextTick
});
